on startMovie
  repeat with v = 5 to 10
    sprite(v).visible = 1
  end repeat
end

on idle
  rightArrow()
  leftArrow()
  exitMovie()
end

on rightArrow
  if rollOver(142) then
    set the blend of sprite 142 to 50
  else
    set the blend of sprite 142 to 100
  end if
end

on leftArrow
  if rollOver(141) then
    set the blend of sprite 141 to 50
  else
    set the blend of sprite 141 to 100
  end if
end

on sample
  if rollOver(145) then
    set the blend of sprite 145 to 50
  else
    set the blend of sprite 145 to 100
  end if
end

on cursHand
  if rollOver(7) then
    touch()
  else
    if rollOver(9) then
      touch()
    else
      if rollOver(142) then
        cursor(-1)
      else
        if rollOver(141) then
          cursor(-1)
        else
          cursor(-1)
        end if
      end if
    end if
  end if
end

on touch
  if the mouseDown then
    cursor([30, 31])
  else
    cursor([28, 29])
  end if
end

on moveStart
  global ASPEED
  ASPEED = 1
end

on movePlay
  global ASPEED
  movetowards(7, ASPEED)
  movetowards(8, ASPEED)
  movetowards(11, ASPEED)
end

on movetowards pic, speed
  if the mouseH > (the locH of sprite pic + speed) then
    set the locH of sprite pic to the locH of sprite pic + speed
  else
    if the mouseH < (the locH of sprite pic - speed) then
      set the locH of sprite pic to the locH of sprite pic - speed
    else
      set the locH of sprite pic to the mouseH
    end if
  end if
  if the mouseV > (the locV of sprite pic + speed) then
    set the locV of sprite pic to the locV of sprite pic + speed
  else
    if the mouseV < (the locV of sprite pic - speed) then
      set the locV of sprite pic to the locV of sprite pic - speed
    else
      set the locV of sprite pic to the mouseV
    end if
  end if
end

on SpritesFloatingDown
  global bounce
  repeat with sp = 9 to 9
    bounce = -10
    if bounce > 10 then
      set the locV of sprite sp to 0
    end if
    set the locV of sprite sp to the locV of sprite sp + 1
    if the locV of sprite sp > the stageBottom then
      set the locV of sprite sp to bounce
    end if
  end repeat
end

on flipPic
  set the castNum of sprite 13 to the castNum of sprite 13 + 1
  if the castNum of sprite 13 > 141 then
    set the castNum of sprite 13 to 118
  end if
end

on exitMovie
  if rollOver(143) then
    set the blend of sprite 143 to 50
  else
    set the blend of sprite 143 to 100
  end if
end
